package fr.natan.akkastreamfileprocessingapi.service

import akka.stream.scaladsl.Source
import fr.natan.akkastreamfileprocessingapi.models.Models.{Person, TvSeries}

import scala.concurrent.Future

trait AkkaStreamFileProcessing {
  def getAllPersons(): Unit

  def getPersonById(nconst: String): Future[Person]
  def getPersonByName(primaryName: String): Unit

  def getAllTvSeries(): Unit

  def getByTvSeriePrimaryTitle(tvSerieTitle: String):Future[Seq[TvSeries]]

  def getPersonsTeamForTvSerie(tvSeriePrimaryTitle: String)


}
